LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-12-2008, 10:35 AM   #1
buckjams
LQ Newbie
 
Registered: Nov 2006
Location: Phoenix , Arizona
Distribution: Ubuntu Dapper -Edgy- Fiesty- Gutsy :: Linux Mint :: kanotics :: PClinuxOS :: freespire :: DSL ::
Posts: 29

Rep: Reputation: 15
Unhappy Ubuntu 8.04 video codecs libdvdcss ?


Hi, I have been using Linux for over 2 years now..I watch movies on my laptop and can't remember how to get the right codecs for totem. I have installed gstreamer like it prompted and it still does'nt work. I cannot seem to find a thread that explains. I got it to work in ubuntu 6.06 , but I can't remeber how I got it to work. I have a panasonic cf-48 1.8 Ghz P4 w/768mb ram ,the same machine that runs Dapper. Is there a problem in Hardy with libdvdcss??? Has anyone had this problem and if so please let me know??? Thank you all for your help...*_*
Buck....
 
Old 05-12-2008, 10:45 AM   #2
indienick
Senior Member
 
Registered: Dec 2005
Location: London, ON, Canada
Distribution: Arch, Ubuntu, Slackware, OpenBSD, FreeBSD
Posts: 1,853

Rep: Reputation: 65
Does Ubuntu have libdvdcss in its Apt repositories, or any packages like "libdvdplay"?
 
Old 05-12-2008, 11:11 AM   #3
bigrigdriver
LQ Addict
 
Registered: Jul 2002
Location: East Centra Illinois, USA
Distribution: Debian Jessie 8.4
Posts: 5,873

Rep: Reputation: 348Reputation: 348Reputation: 348Reputation: 348
Playing DVDs on your computer is illegal in some countries; copywrite infringement or some such thing. So, libdvdcss2 may not be included with your distro in order to ovoid legal problems.

However, with a bit of searching, you can find libdvdcss2.

I found this in a thread on another bulletin board:
Quote:
Enable the Medibuntu repository (see
https://help.ubuntu.com/community/Medibuntu). Then in a terminal type "sudo
aptitude install ubuntu-restricted-extras libdvdcss2"
 
Old 05-12-2008, 11:25 AM   #4
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Debian Testing
Posts: 19,192
Blog Entries: 4

Rep: Reputation: 469Reputation: 469Reputation: 469Reputation: 469Reputation: 469
Something I have discovered on Kubuntu Hardy - libdvdcss is currently at version 1.2.9 - I cannot get that version to work. Instead, stick with version 1.2.5 and blacklist the upgrade to prevent it being changed. Then everything works fine.
 
Old 05-12-2008, 12:36 PM   #5
bigrigdriver
LQ Addict
 
Registered: Jul 2002
Location: East Centra Illinois, USA
Distribution: Debian Jessie 8.4
Posts: 5,873

Rep: Reputation: 348Reputation: 348Reputation: 348Reputation: 348
Have you tried the libdvdcss2 .deb packages available here.
 
Old 05-12-2008, 04:09 PM   #6
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Debian Testing
Posts: 19,192
Blog Entries: 4

Rep: Reputation: 469Reputation: 469Reputation: 469Reputation: 469Reputation: 469
It occurs to me that 1.2.9 gave me problems on Slackware too, whereas 1.2.5 worked perfectly. Unless some program really needs the newer version, I'd stick with 1.2.5 personally.
 
Old 05-12-2008, 11:01 PM   #7
buckjams
LQ Newbie
 
Registered: Nov 2006
Location: Phoenix , Arizona
Distribution: Ubuntu Dapper -Edgy- Fiesty- Gutsy :: Linux Mint :: kanotics :: PClinuxOS :: freespire :: DSL ::
Posts: 29

Original Poster
Rep: Reputation: 15
Hi again , I checked the sources.list and saw that it is still Gutsy repository. I had uncomented when i installed Gutsy , but recently upgraded to hardy and I'm wondering if the problem lies there. sources.list & sources.list.save are gutsy repositories. I did find the libdvdcss2 and installed it and I still get ( cannot read from resource )... I'm stumped..
XavierP where do I find 1.2.5 ??? How do you blacklist the versions???I'm using ubuntu 8.04..
 
Old 05-13-2008, 02:15 AM   #8
XavierP
Moderator
 
Registered: Nov 2002
Location: Kent, England
Distribution: Debian Testing
Posts: 19,192
Blog Entries: 4

Rep: Reputation: 469Reputation: 469Reputation: 469Reputation: 469Reputation: 469
To blacklist the version, create a file called /etc/apt/preferences. Then you need to put the following in the file:
Code:
Package: libdvdcss2
Pin: version 1.2.5*
Pin-Priority: 1001
What that does is to tell apt that no matter how many updates to the package there are, you only ever want to use that version, it will then be removed from your updates file. If you are on the newer version, you will need to let update manager 'upgrade' you to the older version. You also need to run commands as shown here: https://answers.launchpad.net/ubuntu...question/22099
 
Old 05-13-2008, 11:39 AM   #9
buckjams
LQ Newbie
 
Registered: Nov 2006
Location: Phoenix , Arizona
Distribution: Ubuntu Dapper -Edgy- Fiesty- Gutsy :: Linux Mint :: kanotics :: PClinuxOS :: freespire :: DSL ::
Posts: 29

Original Poster
Rep: Reputation: 15
Thank you bigrigdriver, and all of you others that gave me a fast response and solution to my problem...Now Cody and I are going to have a Starwars night. All I need now is a gallon of ice cream , Cody can't have ice cream ,he gets his rawhide bone...Thank you....
Buck....
 
Old 05-15-2008, 11:55 AM   #10
motang
LQ Newbie
 
Registered: Jan 2008
Location: Souther California
Distribution: Ubuntu 14.04
Posts: 9

Rep: Reputation: 0
Lightbulb

Quote:
Originally Posted by buckjams View Post
Hi, I have been using Linux for over 2 years now..I watch movies on my laptop and can't remember how to get the right codecs for totem. I have installed gstreamer like it prompted and it still does'nt work. I cannot seem to find a thread that explains. I got it to work in ubuntu 6.06 , but I can't remeber how I got it to work. I have a panasonic cf-48 1.8 Ghz P4 w/768mb ram ,the same machine that runs Dapper. Is there a problem in Hardy with libdvdcss??? Has anyone had this problem and if so please let me know??? Thank you all for your help...*_*
Buck....
Ok I use Ubuntu 8.04 and I got DVD movies working by doing this.

Quote:
sudo /usr/share/doc/libdvdread3/install-css.sh
Now from what I understand the script is included in the installation, but isn't active for copyright purpose. So by running the above command in the terminal will run the shell script and install what you need to run the DVD movies.

Also VLC works like a charm for DVD movies.
 
Old 06-16-2008, 12:01 AM   #11
rewtedesco
Member
 
Registered: Oct 2005
Location: Massachusetts
Distribution: Suse 10.0 /XP/ FC5 & 6
Posts: 93

Rep: Reputation: 16
Server in Sweden down - no DVD CSS for Linux users :-(

I also could not get DVD to work for a new installation of Ubuntu 8.04 on a Dell dimension 3000 even though it's working perfectly well on a different machine (HP with AMD 64 bit),
which also runs Ubuntu 8.04. It's remarkable that the installation of libdvdcss2 simply does not work because a server in Sweden is down, and I couldn't find a way around it.

The script that's suppose to install css (libdvdcss2.so) on your system is this:
sudo /usr/share/doc/libdvdread3/install-css.sh

It fails because it accesses a directory on the server: http://www.dtek.chalmers.se,
namely /groups/dvd/deb/. This server, it turns out, is down:

Goto http://www.dtek.chalmers.se/groups/dvd/deb/ and you find:
Sorry
This site is down for maintenance until 2008-June-18


Anyone has an idea how to redirect the script install-css.sh?

(Just to be sure, I don't assume a hardware problem is the culprid, since this worked before under Fedora 7 on my machine).

I have actually tried a different installation of the libdvdcss library but
mplayer, totem, VLC media player still won't work.

The proper libraries are there, I assume, but there is still no way to play a DVD:

ls -l /usr/lib/libdvd*
lrwxrwxrwx 1 root root 18 2008-06-15 16:52 /usr/lib/libdvdcss.so.2 -> libdvdcss.so.2.0.8
-rw-r--r-- 1 root root 31396 2007-05-30 18:55 /usr/lib/libdvdcss.so.2.0.8
-rw-r--r-- 1 root root 281774 2007-04-29 12:53 /usr/lib/libdvdnav.a
-rw-r--r-- 1 root root 831 2007-04-29 12:53 /usr/lib/libdvdnav.la
lrwxrwxrwx 1 root root 18 2008-06-15 16:39 /usr/lib/libdvdnav.so -> libdvdnav.so.4.0.0
lrwxrwxrwx 1 root root 18 2008-06-15 15:05 /usr/lib/libdvdnav.so.4 -> libdvdnav.so.4.0.0
-rw-r--r-- 1 root root 194808 2007-04-29 12:53 /usr/lib/libdvdnav.so.4.0.0
-rw-r--r-- 1 root root 146736 2008-02-26 06:26 /usr/lib/libdvdread.a
-rw-r--r-- 1 root root 812 2008-02-26 06:26 /usr/lib/libdvdread.la
lrwxrwxrwx 1 root root 19 2008-06-15 15:58 /usr/lib/libdvdread.so -> libdvdread.so.3.2.1
lrwxrwxrwx 1 root root 19 2008-06-15 14:48 /usr/lib/libdvdread.so.3 -> libdvdread.so.3.2.1
-rw-r--r-- 1 root root 116712 2008-02-26 06:26 /usr/lib/libdvdread.so.3.2.1
 
Old 06-16-2008, 01:11 AM   #12
buckjams
LQ Newbie
 
Registered: Nov 2006
Location: Phoenix , Arizona
Distribution: Ubuntu Dapper -Edgy- Fiesty- Gutsy :: Linux Mint :: kanotics :: PClinuxOS :: freespire :: DSL ::
Posts: 29

Original Poster
Rep: Reputation: 15
Thanks , Bigrigdriver answered my question.. I installed from the Info he gave me.. From the medibutu repository.. Everything works so far..
 
Old 06-16-2008, 01:16 AM   #13
buckjams
LQ Newbie
 
Registered: Nov 2006
Location: Phoenix , Arizona
Distribution: Ubuntu Dapper -Edgy- Fiesty- Gutsy :: Linux Mint :: kanotics :: PClinuxOS :: freespire :: DSL ::
Posts: 29

Original Poster
Rep: Reputation: 15
Talking

Try this;; Enable the Medibuntu repository (see
https://help.ubuntu.com/community/Medibuntu). Then in a terminal type "sudo
aptitude install ubuntu-restricted-extras libdvdcss2" I followed those instructions and I now watch all my movies....
Thank you Bigrigdriver....
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
video and audio codecs on ubuntu 7.04 amyky Linux - Newbie 2 01-10-2008 06:52 AM
video and audio codecs on ubuntu 7.04 amyky Ubuntu 1 01-09-2008 02:21 PM
LXer: Install multimedia codecs, libdvdcss in Debian Etch GNU/Linux LXer Syndicated Linux News 0 04-14-2007 10:01 PM


All times are GMT -5. The time now is 06:46 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration